Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Enterprise Service 10

Reply
Visitor
spoojari
Posts: 1
Registered: ‎11-22-2012
My Carrier: non-Blackberry User

Upgrading Blackberry Enterprise Server from BES 4.1.3 to BES 5.0.4

Hello all!

 

My organisation is planning to upgrade their BES server to the latest version kindly find the current BES infrastructure:

 

Blackberry Server Version: 4.1 SP3 (bundle24)

Mail System: Lotus Domino 6.5.3

SQL Server: SQL 2000

Deployment: (Single Server)

Operating System: Windows Server 2003 SP2 32 Bit
Number of blackberry users: 60-70

 

I would like to know how we should go about doing this. From the Upgradation document from RIM, I gather that latest version only supports to upgrade from 5.0 SP2 or SP3. So I probably need to upgrade to 5.0 first and then to SP3 and then to SP4. (We are planning a cut-over upgrade since we also need to upgrade to new hardware.)

Also the SQL and Domino Servers are archaic so what would be the implications of upgrading the entire infrastructure?

Please use plain text.
Forums Advisor I
oliwer
Posts: 581
Registered: ‎05-23-2008
My Carrier: .

Re: Upgrading Blackberry Enterprise Server from BES 4.1.3 to BES 5.0.4

I would recommend the upgrade with BlackBerry Enterprise Transporter (BET). SQL 2000 is not supported by RIM anymore, so you have to upgrade so many stuff that starting from scratch and moving users with BET is the best way.

You should check http://www.blackberry.com/btsc/KB24201 and http://docs.blackberry.com/en/admin/deliverables/46347/BlackBerry_Enterprise_Server_Resource_Kit-Ins...
Please use plain text.
Guru III
knottyrope
Posts: 29,211
Registered: ‎06-25-2008
My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Upgrading Blackberry Enterprise Server from BES 4.1.3 to BES 5.0.4

assuming you lotus version is support on all BES versions.

 

 

apply SP7 to 4.1

 

install BES 5 SP2 on top of it

 

install SP4 after

 

But since BES 5 is so much different you will want to set it up first maybe even with a temp SRP to get familiar with it.

 

A migration kit would be nice too or you can migrate to BES express 5 for a few hours and then back to full BES 5 with transporter.



Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info. SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope

No Sleep Till BlackBerry 10, A BlackBerry Song by Lil E Click here to listen

See me at BlackBerry Fans Get Hands-On BlackBerry 10 Demo

Want to thank me? Buy my KnottyRope App here

Please use plain text.